Remove restriction (update >= 10) on jre/jdk6 support
authorCédric Pineau <cedric.pineau@gmail.com>
Fri, 17 Aug 2012 13:27:42 +0000 (15:27 +0200)
committerCédric Pineau <cedric.pineau@gmail.com>
Fri, 17 Aug 2012 13:27:42 +0000 (15:27 +0200)
debian/README.Debian
debian/changelog
debian/control
make-jpkg
make-jpkg.1

index f1ce1f2..6ebff7b 100644 (file)
@@ -16,9 +16,9 @@ Typical usage consists in
 
 Supported java binary distributions currently include:
   * Oracle (http://www.oracle.com/technetwork/java/javase/downloads) :
-    - The J2SE Development Kit (JDK), version 6 (update >= 10), 7
-    - The J2SE Runtime Environment (JRE), version 6 (update >= 10), 7
-    - The J2SE API Javadoc, version 6 (update >= 10), 7
+    - The J2SE Development Kit (JDK), version 6 and 7
+    - The J2SE Runtime Environment (JRE), version 6 and 7
+    - The J2SE API Javadoc, version 6 and 7
   (Choose tar.gz archives or self-extracting archives, do _not_ choose the RPM!)
 
 All other previously supported jvm (Blackdown, IBM, ..) have been removed and
index 527516c..a37b3af 100644 (file)
@@ -5,6 +5,7 @@ java-package (0.51) unstable; urgency=low
   * Add java6-{runtime|sdk|...} to the provides line in generated packages Closes: #684993
   * Drop installation debconf note Closes: #685082
   * Correct handling of amd64 in roacle-jdk6.1->4 and improve error message when used with unknown archives
+  * Add support for earlier oracle-jdk6 version
 
   [Emmanuel Bourg]
   * Improved detection of the JRE/JDK version (supports 2 digits Java 7 updates)
index f47c98e..065b918 100644 (file)
@@ -21,9 +21,9 @@ Description: Utility for creating Java Debian packages
  .
  Supported java binary distributions currently include:
    * Oracle (http://www.oracle.com/technetwork/java/javase/downloads) :
-     - The J2SE Development Kit (JDK), version 6 (update >= 10), 7
-     - The J2SE Runtime Environment (JRE), version 6 (update >= 10), 7
-     - The J2SE API Javadoc, version 6 (update >= 10), 7
+     - The J2SE Development Kit (JDK), version 6 and 7
+     - The J2SE Runtime Environment (JRE), version 6 and 7
+     - The J2SE API Javadoc, version 6 and 7
  (Choose tar.gz archives or self-extracting archives, do _not_ choose the RPM!)
  .
  Please note that Debian recommends the use of openjdk-6-jdk/openjdk-6-jre
index 4c542db..7173cb5 100755 (executable)
--- a/make-jpkg
+++ b/make-jpkg
@@ -71,9 +71,9 @@ $program_name builds a Debian package from the given Java binary distribution FI
 
 Supported java binary distributions currently include:
   * Oracle (http://www.oracle.com/technetwork/java/javase/downloads) :
-    - The Java Development Kit (JDK), version 6 (update >= 10), 7
-    - The Java Runtime Environment (JRE), version 6 (update >= 10), 7
-    - The Java API Javadoc, version 6 (update >= 10), 7
+    - The Java Development Kit (JDK), version 6 and 7
+    - The Java Runtime Environment (JRE), version 6 and 7
+    - The Java API Javadoc, version 6 and 7
   (Choose tar.gz archives or self-extracting archives, do _not_ choose the RPM!)
 
 The following options are recognized:
index 88878fd..7d7a91f 100644 (file)
@@ -30,9 +30,9 @@ distribution FILE.
 .PP
 Supported java binary distributions currently include:
   * Oracle (http://www.oracle.com/technetwork/java/javase/downloads) :
-    - The J2SE Development Kit (JDK), version 6 (update >= 10), 7
-    - The J2SE Runtime Environment (JRE), version 6 (update >= 10), 7
-    - The J2SE API Javadoc, version 6 (update >= 10), 7
+    - The J2SE Development Kit (JDK), version 6 and 7
+    - The J2SE Runtime Environment (JRE), version 6 and 7
+    - The J2SE API Javadoc, version 6 and 7
   (Choose tar.gz archives or self-extracting archives, do _not_ choose the RPM!)
 .PP
 The following options are recognized: